/** This file is part of Domotz Agent.
 * Copyright (C) 2016  Domotz UK LLP
 *
 * Domotz Agent is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * Domotz Agent is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Domotz Agent.  If not, see <http://www.gnu.org/licenses/>.
 * 
 *
 * Created by Massimiliano Cuzzoli <massi@domotz.com> on 06/10/16.
 *
 */

const LOG_EVENT = 'HANDLER - (snmpBasicDiscovery): ';

var counter = 54;
var numberOfFastDiscoveryCycle = 60;
var forceDiscover = false;

var snmpBasicDiscovery = function (resourceLocator) {

    var logger = resourceLocator.log.decorateLogs();
    logger.info('counter => %s / %s ', counter, numberOfFastDiscoveryCycle);

    if (forceDiscover || counter === numberOfFastDiscoveryCycle) {
        if (counter === numberOfFastDiscoveryCycle) {
            counter = 0;
        }
        forceDiscover = false;

        resourceLocator.discovery.protocols_orchestrator.discover('snmp');
    }
    counter++;
};


var discoveryForcing = function () {
    forceDiscover = true;
};


module.exports.handler = snmpBasicDiscovery;
module.exports.discoveryForcing = discoveryForcing;